// ****** Alerts ******

function Alerts() {
}

Alerts.getDataUrl = function(){
    return dataServerUrl + "wxdata/svr/" + settings.locId +  ".js?key=" + apiKey + "&cb=?";
}

Alerts.getSiteUrl = function(phenomena, significance, areaId, office, etn){
    return "http://MACdbWidget.weather.com/weather/alerts/localalerts/" + settings.locId + 
    "?phenomena="+phenomena+"&significance="+significance+"&areaid="+areaId+"&office="+office+"&etn="+etn+"&cm_ven=MAC&cm_cat=DBv2.0.0&cm_pla=severe-wx&cm_ite="+phenomena+"&par=MACDBv2.0.0&site=severe-wx"; 

}

Alerts.prototype.show = function( data ){
    var severity = 3;
    var highAlert;
    
    for(i = 0; i < data.length; i++) {   
        if(data[i].severity <= severity) 
        {
            severity = data[i].severity;
            highAlert = data[i];  
        }          
    }
    
    $('#divAlerts').removeClass();
    
    switch(severity)
    {
        case 1: //Red alert     
            $('#divAlerts').addClass('alert-2');
            $(".alert-2").show("fast");
            break;
	        
        case 2: //Orange alert
            $('#divAlerts').addClass('alert-1');
            $(".alert-1").show("fast");
	    break;
	  	            
        case 3: //Yellow alert
            $('#divAlerts').addClass('alert-3');
            $(".alert-3").show("fast");
            break;
    }
   
    if (highAlert)
        setLink('lnkAlerts', Alerts.getSiteUrl(highAlert.phenomenaCode, highAlert.significance, highAlert.areaId, highAlert.issueOffice, highAlert.etn));
}

Alerts.prototype.update = function(){
    var url = Alerts.getDataUrl();
   
    $(".alert-1").hide();
    $(".alert-2").hide();
    $(".alert-3").hide();
    
    $.getJSON(url, function( data ) {
        if(data.length > 0) weatherData.Alerts.show(data);
    });
}

