// ****** CurrentConditions ******

function CurrentConditions(){    
}


CurrentConditions.getUrl = function () {
    return dataServerUrl + "wxdata/obs_hirad/" + settings.locId +  ".js?key=" + apiKey + "&cb=?";
}

CurrentConditions.getSiteUrl = function () {
    return "http://MACdbWidget.weather.com/weather/local/" + settings.locId + "?cm_ven=MAC&cm_cat=DBv2.0.0&cm_pla=widgetcc&cm_ite=wx-cc&par=MACDBv2.0.0&site=widgetcc";
}

CurrentConditions.prototype.update = function() {
    var url = CurrentConditions.getUrl();
    $.getJSON(url, function( data ) {        
        weatherData.CurrentConditions.show(data);
    });
}

CurrentConditions.prototype.setCurrentCity = function( data ) {
    var city = data.name;
    var stateOrCountry = (data.countryCode == 'US') ? data.state : data.country;
    var zipCode = (showZipCode()) ? '(' + data.zip + ')' : "";
    
    $('#lnkCity').text(city + ', ' + stateOrCountry + ' ' + zipCode);
    if (!showZipCode())
        $('#txtSearch').val(city + ', ' + stateOrCountry);
    else
        $('#txtSearch').val(data.zip);
     
    $('#txtSearch').css("color","black");
    setLink('lnkCity', CurrentConditions.getSiteUrl());    
}

CurrentConditions.prototype.show = function( data ) {
    //Tiger dashboard do not display transparent swf! We use standard png icons in that case!	
    if(isTiger()) setIcon('imgCurrentCond', '93', data.wxIcon, data.text);
    else  setSWF(data.wxIcon);

    setLink('lnkCurrent', CurrentConditions.getSiteUrl());
    setLink('lnkCurrentImg', CurrentConditions.getSiteUrl());
    $('#currentTemp').text(getTemp(data.temp)); 
    $('#currentDesc').text(data.text);
    $('#currentFeelsLike').text("Feels Like " + getTemp(data.feelsLike));
    
    var url = weatherData.getLocUrl(settings.locId);
    $.getJSON(url, function( data ) {        
        CurrentConditions.prototype.setCurrentCity(data);
    });
}