//****** Logic ******

function trim(str){
    return str.replace(/^\s*|\s*$/g,"");
}

function setIcon(imgId, size, icon, alt){
    if(!icon) icon = 'na';
    $('#' + imgId).attr('src', '_imgs/icons/' + size + 'x' + size  + '/' + icon + '.png').attr('alt', alt);
}

function setSWF(iconId){
    if(iconId == undefined)
        iconId = "44"; //N/A
    
    var flashvars = {};
    var params = {};
    var attributes = {};
    params.wmode = "transparent";

   if(isSafari2()){
	swfobject.embedSWF("_imgs/icons/swf/"+ iconId +".swf", "currentIcon", "93", "93", "9.0.0", null, flashvars,params, attributes );
	$('#current-weather-icon').css('top', 0);
   }
   else
   	swfobject.embedSWF("_imgs/icons/swf/"+ iconId +".swf", "currentIcon", "122", "123", "9.0.0", null, flashvars,params, attributes );
}

function setLink(id, link){
   $('#' + id).unbind('click').click(function() { openLink(link); });
}

function getTomorrowDay(toShort){
    var myDate = new Date();    
    myDate.setDate(myDate.getDate()+1);
    if(toShort) return myDate.toString().substring(0, 3).toUpperCase();
    else {
        var dayArray = new Array('Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday');
        return dayArray[myDate.getDay()].toUpperCase();
    }
}


function getTemp(temp){
     var mu = settings.unit;
    if (!temp) return "N/A";
    if(mu == "F") return temp + '\u00B0 F';
    else 
    {
        var celcius = (temp-32) / 1.8;
        return Math.round(celcius) + '\u00B0 C';
    }
}

function showZipCode(){
    return (!isNaN(settings.locId));
}

function showBack(event)
{
    var front = document.getElementById("container");
    var back = document.getElementById("settings");

    if (window.widget) {
        widget.prepareForTransition("ToBack");
    }

    front.style.display = "none";
    back.style.display = "block";

    if (window.widget) {
        setTimeout('widget.performTransition();', 0);
   }
 }
 
function showFront(event)
{
    var front = document.getElementById("container");
    var back = document.getElementById("settings");

    if (window.widget) {
        widget.prepareForTransition("ToFront");
    }

    front.style.display="block";
    back.style.display="none";

    if (window.widget) {
        setTimeout('widget.performTransition();', 0);
    }
}

function setLocId(q)
{
    $('#locId').val(q.id);
    $('#txtSearch').focus();
}


function openLink(link)
{
    if (window.widget)
        widget.openURL(link);
    
}

function removeWidget(){
if (window.widget) {         
      widget.setPreferenceForKey(null, "locId");
      widget.setPreferenceForKey(null, "unit");
      widget.setPreferenceForKey(null, "uniqueId");
   }
}


function isSafari2(){
	if (document.getElementsByClassName) return false;
	else return true;
}


function isTiger(){
	var output = widget.system("/usr/bin/sw_vers", null).outputString;
    var version = output.match(/ProductVersion:\t.*/)[0];
    return (version.indexOf('10.4') != -1);  //10.4 = Tiger
}

function sendMessage(actionId){	
	if(widget.preferenceForKey("uniqueId") == undefined)
		settings.setUniqueId();

	if(widget.preferenceForKey("uniqueId") != undefined && window.widget)
	{	
		var url = "http://x.imwx.com/28/" + actionId + "?id=" + widget.preferenceForKey("uniqueId"); 
    		$.ajax({
        		type: "GET",
        		url: url,
        		async: true
    		});
	}
}