// ****** Radar Map ******
function Radar(){
}

Radar.prototype.update = function(){
    //weatherData.Radar.updateRadar();

    jQuery.ajax({
			type: "GET",
			url: "http://gima.weather.com/TileServer/jserieslist.do?function=wxtools.jsMap.seriesList&id=1",
			data: null,
			success: weatherData.Radar.updateRadar,
			dataType: 'script',
			cache: false
		});

   if (isTiger())
   	window.setTimeout(weatherData.Radar.updateRadar,20000);
}


Radar.prototype.updateRadar = function(){
    	var url = weatherData.getLocUrl();
	$.getJSON(url, function( data ) {
        	weatherData.Radar.show(data);
    	}); 
}

Radar.prototype.show = function( data ){
    var h = new mpHelper();
    
    var us = (data.countryCode == 'US') ? true : false;
            
    h.lat =  data.lat;
    h.lon =  data.lng;
    h.zoom =  7;
    h.data =  (us) ? 'radar' : 'sat';
    h.width =  277;
    h.height =  187;
    h.opacity =  50;
    h.base = 'r'; //Roads

    h.draw();
    
    if(us) setLink('lnkRadar', Radar.getLocalSiteUrl());
    else setLink('lnkRadar', Radar.getInternationalSiteUrl());
}

Radar.getLocalSiteUrl = function(){
    return "http://MACdbWidget.weather.com/outlook/map/interactive/" + settings.locId + 
           "?cm_ven=MAC&cm_cat=DBv2.0.0&cm_pla=widgetmap&cm_ite=wx-radar&par=MACDBv2.0.0&site=widgetmap";
}

Radar.getInternationalSiteUrl = function(){
    return "http://MACdbWidget.weather.com/outlook/map/interactive/" + settings.locId + 
           "?cm_ven=MAC&cm_cat=DBv2.0.0&cm_pla=widgetmap&cm_ite=wx-satl&par=MACDBv2.0.0&site=widgetmap";
}